hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | None
Language | Haskell2010

HaskellWorks.Data.Vector.AsVector64ns

# Documentation

class AsVector64ns a where #

Methods

asVector64ns :: Int -> a -> [Vector Word64] #

Represent the value as a list of Vector of `n` Word64 chunks. The last chunk will also be of the specified chunk size filled with trailing zeros.

#### Instances

Instances details

AsVector64ns ByteString # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector64ns Methods asVector64ns :: Int -> ByteString -> [Vector Word64] #
AsVector64ns [ByteString] # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector64ns Methods asVector64ns :: Int -> [ByteString] -> [Vector Word64] #